--[C6Mart].[PL_D_S177ProfiloDiRischio_Adeguatezza] 'F', 'DVTMRA58B09F839W'
CREATE procedure [C6Mart].[PL_D_S177ProfiloDiRischio_Adeguatezza]
	-- Add the parameters for the stored procedure here
	@Rete char(1), 
	@CodiceFiscale varchar(16)
AS
BEGIN
	SET NOCOUNT ON;
	DECLARE @varBF DECIMAL(12,2)
	DECLARE @coperturaBF DECIMAL(12,2)
	DECLARE @codiceProfilo SMALLINT
	DECLARE @dataProfilo DATETIME
	DECLARE @dataScadenza DATETIME
	DECLARE @varProfilo DECIMAL(5,2)
	DECLARE @nomeProfilo VARCHAR(50)
	declare @descrizioneProfilo varchar(500)
    DECLARE @riskclass VARCHAR(50)
    DECLARE @riskclassDescr VARCHAR(250)
    DECLARE @experience SMALLINT
	declare @descrizioneEsperienza varchar(20)
	DECLARE @riserva decimal(13,2)
	DECLARE @inv_l_p decimal(5,2)
	SELECT
        @codiceProfilo = M.PROFILO_ASS,
		@dataProfilo = M.DATA_INIZIO_VAL,
		@dataScadenza = M.DATA_FINE_VAL,
		@varProfilo = CR.MAX_VAR,
		@nomeProfilo = ProfiliDiRischio.NOMEPROFILO,
		@descrizioneProfilo = ProfiliDiRischio.DescrizioneProfilo,
        @riskclass =  m.riskclass,
        @experience = m.experience,
		@descrizioneEsperienza =	
			case m.experience
				when 0 then 'Minimo'
				when 1 then 'Basso'
				when 2 then 'Medio basso'
				when 3 then 'Medio alto'
				when 4 then 'Alto'
				--when 5 then 'Alta'
				else '-'
			end,
		@riserva=isnull(importoriserva,0.00),
		@inv_l_p=isnull(perclungoperiodo,0.00)--@inv_l_p='58.00'
     	FROM
		C6Mart.MIFID AS M
		INNER JOIN C6Mart.CODIFICA_RISCHIO AS CR
		ON M.PROFILO_ASS = CR.PROFILO
		INNER JOIN DBO.ProfiliDiRischio AS ProfiliDiRischio
		ON M.PROFILO_ASS = ProfiliDiRischio.CODICEPROFILO
	WHERE
		M.RETE = @Rete AND
		M.COD_FISCALE = @CodiceFiscale
	-- RICERCA DATA FINE VALIDITA'		
	declare @dtfinval decimal(9,0)
	SELECT
        @codiceProfilo as codiceProfilo,
		DBO.TOSHORTDATESTRING (@dataProfilo) as dataInizioValidita,
		DBO.TOSHORTDATESTRING (@dataScadenza) as dataScadenzaProfilo,
		@varProfilo as varMassimo,
		ISNULL(@varBF,0) as varBF,
		ISNULL(@coperturaBF,0) as coperturaBF,
		@nomeProfilo as nomeProfilo,
		@descrizioneProfilo as DescrizioneProfilo,
        @riskclass as riskclass,
        @experience as experince,
		@descrizioneEsperienza as descrizioneEsperienza,
		@riserva as riserva,
		@inv_l_p as investimento_l_periodo
END